commit:     fb2579a80e75ee02d4d605664182a4ce1315e61b
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 27 17:35:14 2022 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sun Nov 27 17:46:01 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb2579a8

gui-apps/swaylock: add 1.7

Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 gui-apps/swaylock/Manifest            |  1 +
 gui-apps/swaylock/swaylock-1.7.ebuild | 55 +++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/gui-apps/swaylock/Manifest b/gui-apps/swaylock/Manifest
index 3bdacc667c13..1b73b3d9c437 100644
--- a/gui-apps/swaylock/Manifest
+++ b/gui-apps/swaylock/Manifest
@@ -1,3 +1,4 @@
 DIST swaylock-1.3.tar.gz 32848 BLAKE2B 
81ed50839bcb0139e7fc2081bd37e738f3e6ef23e96a5108d1acf56cc3425285f7382576a54201f1bf188883b1da06492074c091877af13832c0140e4e6099fd
 SHA512 
723d758d76f076f3f1539ea0d651f6ad2562659c72eef7e895d7827a0be21db663652fe4ce2609065aff45ff20230879599868cff327ab52b896330ca04d78c4
 DIST swaylock-1.5.tar.gz 35350 BLAKE2B 
c68073d6154842c2cdb99836bda991560605f6ede66c6124986c3395575a4e2c22d59a837a09033d1632b61628e45b18b3ee5ca198bafe4fbd8f429cb0401eda
 SHA512 
16dd9b912ca702849290cf18d91ffbd64a70118cc284982a84b567c4974fd4590b12707c0aae1fcda7ccd1caa7880f342c633b9345bd795c36702916696d1f67
 DIST swaylock-1.6.tar.gz 36439 BLAKE2B 
8944bbd5ec0dd719f8dc627dbf878fcf07df3f060b56bce3ab215a2c21fe43debfeac15f6ef7eba43415f3b94a75a335fd692e653ac48407c1cf10b400f8ff67
 SHA512 
9a472c25e53a41c461af41af31c7fc8b275754628d0b20f4e5085cd7ca514e68361293a6e93fb6fcb7632419a3c73e4578e03294af28fe62d944cc43339f280d
+DIST swaylock-1.7.tar.gz 37149 BLAKE2B 
7675b56a28ce932bd163cd41ce498295b61aff51d204c5323b187ddde9ea17f6ef1ac2777272fd92703e49f44b3f749645b4715a75ed54845590513e7dddd524
 SHA512 
44c5a4e482674caeb86da78e49d4593128a14adad2d6e46994f984b2b2b893416d6ceeb6b0b5746ad5594892e65c9dab9764bbe4bf617a90d92622a41b791ed0

diff --git a/gui-apps/swaylock/swaylock-1.7.ebuild 
b/gui-apps/swaylock/swaylock-1.7.ebuild
new file mode 100644
index 000000000000..c9ae048d1c5b
--- /dev/null
+++ b/gui-apps/swaylock/swaylock-1.7.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit fcaps meson
+
+DESCRIPTION="Screen locker for Wayland"
+HOMEPAGE="https://github.com/swaywm/swaylock";
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/swaywm/${PN}.git";
+else
+       SRC_URI="https://github.com/swaywm/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="+gdk-pixbuf +man +pam"
+
+DEPEND="
+       dev-libs/wayland
+       x11-libs/cairo
+       x11-libs/libxkbcommon
+       gdk-pixbuf? ( x11-libs/gdk-pixbuf:2 )
+       pam? ( sys-libs/pam )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+       >=dev-libs/wayland-protocols-1.25
+       >=dev-util/wayland-scanner-1.15
+       virtual/pkgconfig
+       man? ( app-text/scdoc )
+"
+
+src_configure() {
+       local emesonargs=(
+               -Dman-pages=$(usex man enabled disabled)
+               -Dpam=$(usex pam enabled disabled)
+               -Dgdk-pixbuf=$(usex gdk-pixbuf enabled disabled)
+               "-Dfish-completions=true"
+               "-Dzsh-completions=true"
+               "-Dbash-completions=true"
+       )
+
+       meson_src_configure
+}
+
+pkg_postinst() {
+       if ! use pam; then
+               fcaps cap_sys_admin usr/bin/swaylock
+       fi
+}

Reply via email to